## golang-github-vbatts-go-mtree 0.4.2

=== Makefile ===

BUILD := gomtree
BUILDPATH := github.com/vbatts/go-mtree/cmd/gomtree
CWD := $(shell pwd)
SOURCE_FILES := $(shell find . -type f -name "*.go")
CLEAN_FILES := *~
TAGS :=
ARCHES := linux,386 linux,amd64 linux,arm linux,arm64 openbsd,amd64 windows,amd64 darwin,amd64

default: build validation

.PHONY: validation
validation: .test .lint .vet .cli.test

.PHONY: validation.tags
validation.tags: .test.tags .vet.tags .cli.test

.PHONY: test
test: .test

CLEAN_FILES += .test .test.tags

.test: $(SOURCE_FILES)
	go test -v $$(glide novendor) && touch $@

.test.tags: $(SOURCE_FILES)
	set -e ; for tag in $(TAGS) ; do go test -tags $$tag -v $$(glide novendor) ; done && touch $@

.PHONY: lint
lint: .lint

CLEAN_FILES += .lint

.lint: $(SOURCE_FILES)
	set -e ; for dir in $$(glide novendor) ; do golint -set_exit_status $$dir ; done && touch $@

.PHONY: vet
vet: .vet .vet.tags

CLEAN_FILES += .vet .vet.tags

.vet: $(SOURCE_FILES)
	go vet $$(glide novendor) && touch $@

.vet.tags: $(SOURCE_FILES)
	set -e ; for tag in $(TAGS) ; do go vet -tags $$tag -v $$(glide novendor) ; done && touch $@

.PHONY: cli.test
cli.test: .cli.test

CLEAN_FILES += .cli.test .cli.test.tags

.cli.test: $(BUILD) $(wildcard ./test/cli/*.sh)
	@go run ./test/cli.go ./test/cli/*.sh && touch $@

.cli.test.tags: $(BUILD) $(wildcard ./test/cli/*.sh)
	@set -e ; for tag in $(TAGS) ; do go run -tags $$tag ./test/cli.go ./test/cli/*.sh ; done && touch $@

.PHONY: build
build: $(BUILD)

$(BUILD): $(SOURCE_FILES)
	go build -o $(BUILD) $(BUILDPATH)

./bin:
	mkdir -p $@

CLEAN_FILES += bin

build.arches: ./bin
	@set -e ;\
	for pair in $(ARCHES); do \
	p=$$(echo $$pair | cut -d , -f 1);\
	a=$$(echo $$pair | cut -d , -f 2);\
	echo "Building $$p/$$a ...";\
	GOOS=$$p GOARCH=$$a go build -o ./bin/gomtree.$$p.$$a $(BUILDPATH) ;\
	done

clean:
	rm -rf $(BUILD) $(CLEAN_FILES)

=== debian/changelog ===
golang-github-vbatts-go-mtree (0.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #901839).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 22 Jun 2018 01:19:01 +1000

=== debian/control ===
Source: golang-github-vbatts-go-mtree
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-any,
               golang-golang-x-crypto-dev,
               golang-golang-x-sys-dev,
               golang-github-sirupsen-logrus-dev (>= 1.0.2~)
Standards-Version: 4.1.4
Homepage: https://github.com/vbatts/go-mtree
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-vbatts-go-mtree
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vbatts-go-mtree.git
XS-Go-Import-Path: github.com/vbatts/go-mtree
Testsuite: autopkgtest-pkg-go

Package: golang-github-vbatts-go-mtree-dev
Architecture: all
Depends: ${misc:Depends},
         golang-golang-x-crypto-dev,
         golang-golang-x-sys-dev,
         golang-github-sirupsen-logrus-dev (>= 1.0.2~)
Description: file systems verification library, in likeness of mtree(8)
 mtree is a filesystem hierarchy validation tooling and format.

## golang-github-vbatts-go-mtree 0.4.4

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,11 @@
 CLEAN_FILES += .lint
 
 .lint: $(SOURCE_FILES)
-	set -e ; for dir in $$(glide novendor) ; do golint -set_exit_status $$dir ; done && touch $@
+	if [[ "$(go version |awk '{ print $3 }')" =~ ^go1\.11\. ]] ; then \
+	set -e ; for dir in $$(glide novendor) ; do golint -set_exit_status $$dir ; done && touch $@ \
+	else \
+	touch $@ ; \
+	fi
 
 .PHONY: vet
 vet: .vet .vet.tags
@@ -62,6 +66,10 @@
 $(BUILD): $(SOURCE_FILES)
 	go build -o $(BUILD) $(BUILDPATH)
 
+install.tools:
+	go get -u -v github.com/Masterminds/glide
+	if [[ "$(go version |awk '{ print $3 }')" =~ ^go1\.11\. ]] ; then go get -u golang.org/x/lint/golint ; fi
+
 ./bin:
 	mkdir -p $@

=== debian/changelog ===
golang-github-vbatts-go-mtree (0.4.4-2) unstable; urgency=medium

  * (Build-)Depends += "golang-github-davecgh-go-spew-dev" (Closes: #955682).
  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 08 Apr 2020 10:12:48 +1000

golang-github-vbatts-go-mtree (0.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1.
  * DH & compat to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 21 Oct 2019 00:03:10 +1100

=== debian/control ===
Source: golang-github-vbatts-go-mtree
Section: devel
Priority: optional
Standards-Version: 4.5.0
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-davecgh-go-spew-dev,
               golang-github-sirupsen-logrus-dev (>= 1.0.2~),
               golang-golang-x-crypto-dev,
               golang-golang-x-sys-dev,
Homepage: https://github.com/vbatts/go-mtree
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-vbatts-go-mtree
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vbatts-go-mtree.git
XS-Go-Import-Path: github.com/vbatts/go-mtree
Testsuite: autopkgtest-pkg-go

Package: golang-github-vbatts-go-mtree-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-davecgh-go-spew-dev,
         golang-github-sirupsen-logrus-dev (>= 1.0.2~),
         golang-golang-x-crypto-dev,
         golang-golang-x-sys-dev,
Description: file systems verification library, in likeness of mtree(8)
 mtree is a filesystem hierarchy validation tooling and format.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := test testdata cmd
export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- --no-binaries

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-vbatts-go-mtree-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/vbatts/go-mtree/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-vbatts-go-mtree 0.5.4+ds

=== Makefile ===

BUILD := gomtree
BUILDPATH := github.com/vbatts/go-mtree/cmd/gomtree
CWD := $(shell pwd)
SOURCE_FILES := $(shell find . -type f -name "*.go")
CLEAN_FILES := *~
TAGS :=
ARCHES := linux,386 linux,amd64 linux,arm linux,arm64 linux,mips64 linux,riscv64 openbsd,amd64 windows,amd64 windows,arm64 darwin,amd64 darwin,arm64
GO_VER := go1.14

default: build validation

.PHONY: validation
validation: .test .vet .cli.test

.PHONY: validation.tags
validation.tags: .test.tags .vet.tags .cli.test .staticcheck

.PHONY: gocyclo
gocyclo: .gocyclo

CLEAN_FILES += .gocyclo

.gocyclo:
	gocyclo -avg -over 15 -ignore 'vendor/*' . && touch $@

.PHONY: staticcheck
staticcheck: .staticcheck

CLEAN_FILES += .staticcheck

.staticcheck:
	staticcheck . && touch $@

.PHONY: test
test: .test

CLEAN_FILES += .test .test.tags
NO_VENDOR_DIR := $(shell find . -type f -name '*.go' ! -path './vendor*' ! -path './.git*' ! -path './.vscode*' -exec dirname "{}" \; | sort -u)

.test: $(SOURCE_FILES)
	go test -v $(NO_VENDOR_DIR) && touch $@

.test.tags: $(SOURCE_FILES)
	set -e ; for tag in $(TAGS) ; do go test -tags $$tag -v $(NO_VENDOR_DIR) ; done && touch $@

.PHONY: lint
lint: .lint

CLEAN_FILES += .lint

.lint: $(SOURCE_FILES)
	set -e ; golangci-lint run && touch $@

.PHONY: vet
vet: .vet .vet.tags

CLEAN_FILES += .vet .vet.tags

.vet: $(SOURCE_FILES)
	go vet $(NO_VENDOR_DIR) && touch $@

.vet.tags: $(SOURCE_FILES)
	set -e ; for tag in $(TAGS) ; do go vet -tags $$tag -v $(NO_VENDOR_DIR) ; done && touch $@

.PHONY: cli.test
cli.test: .cli.test

CLEAN_FILES += .cli.test .cli.test.tags

.cli.test: $(BUILD) $(wildcard ./test/cli/*.sh)
	@go run ./test/cli-test/main.go ./test/cli/*.sh && touch $@

.cli.test.tags: $(BUILD) $(wildcard ./test/cli/*.sh)
	@set -e ; for tag in $(TAGS) ; do go run -tags $$tag ./test/cli-test/main.go ./test/cli/*.sh ; done && touch $@

.PHONY: build
build: $(BUILD)

$(BUILD): $(SOURCE_FILES)
	go build -ldflags="-X 'main.Version=$(shell git describe --always --dirty)'" -mod=vendor -o $(BUILD) $(BUILDPATH)

install.tools:
	@go install github.com/fatih/color@latest ; \
	go install github.com/fzipp/gocyclo/cmd/gocyclo@latest ; \
	go install honnef.co/go/tools/cmd/staticcheck@latest ; \
	go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest

./bin:
	mkdir -p $@

CLEAN_FILES += bin

build.arches: ./bin
	@set -e ;\
	for pair in $(ARCHES); do \
	p=$$(echo $$pair | cut -d , -f 1);\
	a=$$(echo $$pair | cut -d , -f 2);\
	echo "Building $$p/$$a ...";\
	GOOS=$$p GOARCH=$$a go build -mod=vendor -o ./bin/gomtree.$$p.$$a $(BUILDPATH) ;\
	done ;\
	cd bin ;\
	sha1sum gomtree.* > SUMS ;\
	sha512sum gomtree.* >> SUMS ;\
	cd -

clean:
	rm -rf $(BUILD) $(CLEAN_FILES)

=== debian/changelog ===
golang-github-vbatts-go-mtree (0.5.4+ds-1) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 10 Aug 2025 20:56:58 +0000

golang-github-vbatts-go-mtree (0.5.4+ds-1~exp1) experimental; urgency=medium

  * Team upload

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Apply hints suggested by the multi-arch hinter

  [ Dmitry Smirnov ]
  * Rules-Requires-Root: no

  [ Mathias Gibbens ]
  * New upstream release
  * d/control:
    - Update Section to golang
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Update Go Team's email address
    - Bump debhelper-compat to 13
  * Update list of excluded files in d/copyright
  * Update d/rules
  * Remove d/golang-github-vbatts-go-mtree-dev.install
  * Update d/watch

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 03 Jun 2025 00:26:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: golang-github-vbatts-go-mtree
-Section: devel
+Section: golang
 Priority: optional
-Standards-Version: 4.5.0
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.7.2
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-davecgh-go-spew-dev,
@@ -16,6 +16,7 @@
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vbatts-go-mtree.git
 XS-Go-Import-Path: github.com/vbatts/go-mtree
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-github-vbatts-go-mtree-dev
 Architecture: all
@@ -24,5 +25,6 @@
          golang-github-sirupsen-logrus-dev (>= 1.0.2~),
          golang-golang-x-crypto-dev,
          golang-golang-x-sys-dev,
+Multi-Arch: foreign
 Description: file systems verification library, in likeness of mtree(8)
  mtree is a filesystem hierarchy validation tooling and format.

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/v?(\d\S*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
  repacksuffix=+ds,dversionmangle=auto" \
  https://github.com/vbatts/go-mtree/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-vbatts-go-mtree 0.6.0+ds

=== debian/changelog ===
golang-github-vbatts-go-mtree (0.6.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop redundant Rules-Requires-Root in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 10 Nov 2025 23:10:36 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-vbatts-go-mtree.git
 XS-Go-Import-Path: github.com/vbatts/go-mtree
 Testsuite: autopkgtest-pkg-go
-Rules-Requires-Root: no
 
 Package: golang-github-vbatts-go-mtree-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := test testdata cmd
export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## golang-github-vbatts-go-mtree 0.7.0+ds

=== debian/changelog ===
golang-github-vbatts-go-mtree (0.7.0+ds-1) unstable; urgency=medium

  * New upstream release
    - Rebase d/p/test--skip-TestXattr.patch
  * d/control:
    - Add myself as an Uploader
    - Update Standards-Version to 4.7.3, drop Priority field
    - Update Build-Depends and Depends
  * Add myself to d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 28 Feb 2026 19:02:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: golang-github-vbatts-go-mtree
 Section: golang
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
+           Mathias Gibbens <gibmat@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-davecgh-go-spew-dev,
                golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+               golang-github-stretchr-testify-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-sys-dev,
 Homepage: https://github.com/vbatts/go-mtree
@@ -22,6 +23,7 @@
 Depends: ${misc:Depends},
          golang-github-davecgh-go-spew-dev,
          golang-github-sirupsen-logrus-dev (>= 1.0.2~),
+         golang-github-stretchr-testify-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-sys-dev,
 Multi-Arch: foreign
